package com.chelvc.cloud.vehicle.client;


import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.client.param.LocationQueryParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 热门搜索接口
 *
 * @author liude
 * @data 2023/12/31
 */
@FeignClient("vehicle")
public interface HotMerchantClient {

    /**
     * 新增热门搜索
     *
     * @return 热门搜索主键
     */
    @PostMapping("/hotMerchant/addHotMerchant")
    Long addHotMerchant(@RequestParam("id") Long id);

    /**
     * 热门搜索商家
     *
     * @return
     */
    @GetMapping("/hotMerchant/listHotMerchant")
    List<MerchantDTO> listHotMerchant(@SpringQueryMap LocationQueryParam param);


    /**
     * 猜你喜欢的商家
     *
     * @return
     */
    @GetMapping("/hotMerchant/likeMerchant")
    List<MerchantDTO> likeMerchant(@SpringQueryMap LocationQueryParam param);
}
