package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.ProfitRatioConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryProfitRatioConfigParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface ProfitRatioConfigClient {

    @PostMapping("/profitRatioConfig/add")
    void add(@RequestBody AddProfitRatioConfigParams params);

    @PostMapping("/profitRatioConfig/edit")
    void edit(@RequestBody EditProfitRatioConfigParams params);

    @DeleteMapping("/profitRatioConfig")
    void delete(@RequestParam("id") Long id, @RequestParam("userId") Long userId);

    @GetMapping("/profitRatioConfig/queryPageList")
    Pagination<ProfitRatioConfigDTO> queryPageList(@SpringQueryMap QueryProfitRatioConfigParam param);

}
