package com.chelvc.cloud.vehicle.client.dto;
import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 意见反馈数据模型
 *
 * @author liude
 * @data 2023/1/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FeedBackDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 类型
     */
    private String type;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 回复评价 1-非常满意 2-满意 3- 一般 4 -较为不满意 5- 很不满意
     */
    private String replyEvaluate;
    /**
     * 状态  1 - 待处理 2- 已处理 3- 已完结
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 评价时间
     */
    private Date evaluateTime;
    /**
     * 渠道类型  0- 用户端 1-商家端
     */
    private String channel;

    /**
     * 图片列表
     */
    private List<File> banners;
}
