package com.chelvc.cloud.vehicle.client.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 预约信息参数
 *
 * @author liude
 * @date 2023/1/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class BalanceRetailParam implements Serializable {
    /**
     * 日期
     */
    @NotNull(message = "查询日期不能为空")
    private Long date;
    /**
     * type 类型：0-平台；1-用户；2-商户
     */
    @NotNull(message = "查询类型不能为空")
    private Integer type;

}
