package com.chelvc.cloud.vehicle.client.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 收货数据模型
 *
 * @author liude
 * @data 2024/4/29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserReceiveAddressModifyParam implements Serializable {
    /**
     * 收货人名称
     */
    private String receiveName;

    /**
     * 收件人联系电话
     */
    private String phone;

    /**
     * 是否为默认地址 0-否 1-是
     */
    private boolean defaultStatus = true;

    /**
     * 邮政编码
     */
    private String postCode;

    /**
     * 省份/直辖市
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 区
     */
    private String region;

    /**
     * 详细地址(街道)
     */
    private String detailAddress;


    /**
     * 经度
     */
    @NotNull(message = "经度不能为空")
    private Double longitude;

    /**
     * 纬度
     */
    @NotNull(message = "纬度不能为空")
    private Double latitude;
}
