package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 收益流水记录表数据模型
 *
 * @author liude
 * @date 2024/03/15
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CurrencyRecord implements Entity<Long> {

    private static final long serialVersionUID = 4394545660827792531L;
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 类型：0-平台；1-用户；2-商户
     */
    private Integer type;

    /**
     * 账单类型：0-收入；1-支出
     */
    private Integer currencyType;

    /**
     * 订单标识
     */
    private Long orderId;

    /**
     * 来源用户
     */
    private Long sourceId;

    /**
     * 类型：-1-提现；0-商品出售；1-用户分佣；2-商户分佣；3-平台分佣；4-商家所得
     */
    private Integer sourceType;
    /**
     * 操作金额
     */
    private BigDecimal amount;
    /**
     * 扣除金额：提现-手续费；分佣扣税
     */
    private BigDecimal deduct;
    /**
     * 实际金额
     */
    private BigDecimal realityAmount;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
