package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.BasicEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 分佣比例配置
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ProfitRatioConfig extends BasicEntity<Long> {

    private static final long serialVersionUID = -4564762089152618910L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 抽佣比例0-100
     */
    private int ratio;

    /**
     * 类型：1-平台；2-邀请用户；3-邀请商家
     */
    private Integer type;

    /**
     * 抽成要求数
     */
    private int num;

    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;
}
