package com.chelvc.cloud.vehicle.server.handle;

import com.alibaba.fastjson.JSONObject;
import com.chelvc.cloud.vehicle.client.constant.TradeConstant;
import com.chelvc.cloud.vehicle.client.param.SxyNotifyParam;
import com.chelvc.cloud.vehicle.client.util.JsonBuilder;
import com.chelvc.cloud.vehicle.client.util.MyExecuter;
import com.upay.sdk.ConfigurationUtils;
import com.upay.sdk.core.CipherWrapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.configuration.MapConfiguration;

import java.util.HashMap;
import java.util.Map;

@Slf4j
public class TradeHandle {

    public static JSONObject handle(String jsonData, String apiUrl, String merchantId, String partnerId){
        JSONObject rawDataJson = JSONObject.parseObject(jsonData);
        log.info("接口地址：{}", apiUrl);
        log.info("请求报文json: {}: ", rawDataJson.toJSONString());
        JsonBuilder jsonSupport = new JsonBuilder(merchantId, partnerId, rawDataJson);
        MyExecuter myExecuter = new MyExecuter();
        JSONObject rawRespJsonData = myExecuter.ApiRequest(jsonSupport, apiUrl);
        log.info("应答报文json: {}: ", rawRespJsonData.toJSONString());
        return rawRespJsonData;
    }

    public static JSONObject decrypt(SxyNotifyParam param){
        JSONObject responseData = new JSONObject();
        String merchantId = param.getMerchantId();
        responseData.put("merchantId", merchantId);
        if(TradeConstant.PARTNER_ID.equals(merchantId)){
            responseData.put("partnerId", null);
        } else {
            responseData.put("partnerId", TradeConstant.PARTNER_ID);
        }
        responseData.put("encryptKey", param.getEncryptKey());
        responseData.put("data", param.getData());
        //解密
        return CipherWrapper.bothDecryptWrap(responseData);
    }

    public static void main(String[] args) {

        Map<String, Object> map = new HashMap<>();
        map.put("http.content.type.v3", "application/vnd.5upay-v3.0+json");
        map.put("http.content.type.v4", "application/vnd.5upay-v4.0+json");
        map.put("893951545.client.private.key.path", "F:/workspace/after/car/vehicle/vehicle-server/src/main/webapp/cfca/client.pfx");
        map.put("893951545.client.private.key.password", "123456");
        map.put("onlinepay.query.url", "https://apis.5upay.com/onlinePay/query");
        map.put("ehking.sdk.net.client.defaultConnectTimeout", "30000");
        map.put("ehking.sdk.net.client.defaultReadTimeout", "30000");
        //必须在sdk调用前初始化
        ConfigurationUtils.setConfigSource(new MapConfiguration(map));
        System.setProperty("jdk.tls.disabledAlgorithms","");

        String merchantId = "893951545";
        String partnerId = null;

        String apiUrl = "https://apis.5upay.com/wallet/withdraw";
        String rawJsonData = "{\n" +
                "\"merchantId\": \"893951545\",\n" +
                "\"requestId\": \"1527231168976\",\n" +
                "\"withdrawAmount\": \"10000\",\n" +
                "\"notifyUrl\": \"https://demo.5upay.com/sdk/onlinepay/notify\",\n" +
                "\"remark\": \"备注\",\n" +
                "}";
        handle(rawJsonData, apiUrl, merchantId, partnerId);
    }
}
